Bug 477534 - ifup-eth calls dhcp6c when IPv6 is disabled
ifup-eth calls dhcp6c when IPv6 is disabled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 12:58 EST by Ryan O'Hara
Modified: 2014-03-16 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 11:06:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2008-12-21 12:58:22 EST
If IPV6INIT is set to "no" in an interface's ifcfg file, dhcp6c will still get called. This seems incorrect. IPV6INIT = "no" should disable IPv6 for that interface and the ifup-eth script should honor that.

Here is the relevant code form ifup-eth:

# IPv6 initialisation?
/etc/sysconfig/network-scripts/ifup-ipv6 ${CONFIG}
if [[ "${DHCPV6C}"  = [Yy1]* ]] && [ -x /sbin/dhcp6c ]; then
    /sbin/dhcp6c ${DEVICE};


The ifup-ipv6 script actually checks the value of IPV6INIT, and if it is not set to "yes", the script exits. Regardless of what ifup-ipv6 does, ifup-eth will continue to run dhcp6c.

Bottom line that that I would expect IPV6INIT="no" to prevent dhcp6c from being run.
Comment 1 Bill Nottingham 2008-12-22 11:06:30 EST
You have conflicting configuration - you've explicitly configured dhcp6c to run.

Note You need to log in before you can comment on or make changes to this bug.